Welcome guest, is this your first visit? Click the "Create Account" button now to join.
Results 1 to 7 of 7
  1. #1
    Junior Member
    Join Date
    Dec 2015
    Location
    Spain
    Posts
    4
    Rep Power
    0

    Default RT6: I cant update from 2.31

    I've been trying to update from 2.31 to 2.85 and 2.86 but it has been impossible. I did it successfully with both maps and speedcams but when trying to update the FW screen delivers an error after 10 minutess of "verifying media":
    "Support it's broken or damaged"
    I've tried both versions as I mentioned before and two different USB drives formatted FAT32 (even one of them was used for updating the maps successfully, so the USB key is not the issue for sure)
    I've read it could be a matter of disk space in the microsd of the RT6 (it seems that RT6 has a microsd as "harddisk for the data"), but i don't know how i can delete some maps i never use to check if this could be (im not sure if this could be the solution anyway)

    I need to update because when I pair my smartphone with the Bluetooth system, it constantly reboots the system until I unpair them (seems some type of broken compatibility issue).

    Any ideas about this?
    Last edited by sirlouen; 11th January 2016 at 16:33.

  2.    Advertissements


  3. #2
    Moderator

    Bricoman's Avatar
    Join Date
    Dec 2014
    Location
    All over the place
    Posts
    1,115
    Rep Power
    243

    Default

    Hello,

    You can try to install FW 2.80 by a CD burned 4x with this link (.img) :
    [Only registered and activated users can see links. ]
    Sometimes USB key do problem like with CD ?
    Maybe with a CD, update will be finished ?

  4. #3
    Junior Member
    Join Date
    Dec 2015
    Location
    Spain
    Posts
    4
    Rep Power
    0

    Default

    Where shall I insert the CD? Do I need external usb CD player for this task?

  5. #4
    Master WayneLaPie's Avatar
    Join Date
    Apr 2015
    Location
    Diedenhoffen
    Posts
    118
    Rep Power
    58

    danger And here we go again .....

    Quote Originally Posted by sirlouen View Post
    Any ideas about this?
    Singular, not plural
    Quote Originally Posted by sirlouen View Post
    I've been trying to update from 2.31 to 2.85 and 2.86 but it has been impossible.
    You are perfectly right: It actually IS impossible to upgrade from 2.31 to whatever, because:

    [Only registered and activated users can see links. ]

    Quote Originally Posted by sirlouen View Post
    "Support it's broken or damaged"
    You should really believe the system when it says it doesn't want this file. It says so for a reason.

    If you upgrade from 2.31 to anything the CAN-bus has to be recalibrated.
    This can only be done by your dealer.

    Btw: The software costs 16 . Part numbers are in the matrix.

    Greetz,
    Wayne

    P.S: Pls. make it a habit to indicate which system you are fighting with right in the heading of your post.
    Last edited by WayneLaPie; 11th January 2016 at 12:30.

  6. #5
    Junior Member
    Join Date
    Dec 2015
    Location
    Spain
    Posts
    4
    Rep Power
    0

    Default

    Great, I read this, but as far as I know update can be done regardless of the calibration. Not doing a calibration can end in sound issues but update finish.

    Anyway what do you mean with
    Btw: The software costs 16 . Part numbers are in the matrix.

  7. #6
    Master WayneLaPie's Avatar
    Join Date
    Apr 2015
    Location
    Diedenhoffen
    Posts
    118
    Rep Power
    58

    Default A little correction and a new thought

    Quote Originally Posted by sirlouen View Post
    Great, I read this, but as far as I know update can be done regardless of the calibration.
    Well, the matrix clearly speaks the exact opposite. The unit rejected your attempts to upgrade because you were not following the upgrade path.
    Oh, and here is another thing:

    Btw. the Hardware of the RT 6 comes in two versions:

    HW Version 1 uses Fw up to 2.31

    HW Version 2 uses Fw from 2.70 to 2.8x

    But it is still possible to upgrade HW Ver 1 to 2.86 with the mandatory recalibration with the DiagBox at your dealer.

    So, I would reckon your unit is HW Version 1. That seems highly likely to me.

    And that's why I posted the matrix.
    Quote Originally Posted by sirlouen View Post
    Not doing a calibration can end in sound issues but update finish.
    Well, if you call that a successful software update, OK. It is your car after all...
    Btw, others reported black screens, faulty Speedometers and more ....
    Quote Originally Posted by WayneLaPie View Post
    You should really believe the system when it says it doesn't want this file. It says so for a reason.
    And I posted this for the same the reason.
    Quote Originally Posted by sirlouen View Post
    Btw: The software costs 16 . Part numbers are in the matrix.
    That means the firmware can be bought at any dealer as the USB-Key packages are ordinary spareparts like everything else you can buy at your PUG. The USB-Key package costs 36 (not 16 , as I posted incorrectly previously). The part numbers (APVs) are in the white headers of the matrix.

    Greetz,
    Wayne
    Last edited by WayneLaPie; 11th January 2016 at 18:41.

  8. #7
    Junior Member
    Join Date
    Dec 2015
    Location
    Spain
    Posts
    4
    Rep Power
    0

    Default

    Ok, time to go to the dealer if i want to fix the bluetooth issue im having pairing my phone
    Thanks for the advise!

 

 

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
This website uses cookies
We use cookies to store session information to facilitate remembering your login information, to allow you to save website preferences, to personalise content and ads, to provide social media features and to analyse our traffic. We also share information about your use of our site with our social media, advertising and analytics partners.